petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatGetFactorAvailable

Returns a a flag if matrix supports particular package and factor type

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetFactorAvailable(Mat mat, const MatSolverPackage type,MatFactorType ftype,PetscBool  *flg)

Not Collective Many br

### Input Parameters

| mat | - the matrix Many br
| type | - name of solver type, for example, superlu, petsc (to use PETSc's default) Many br
| ftype | - factor type, MAT_FACTOR_LU, MAT_FACTOR_CHOLESKY, MAT_FACTOR_ICC, MAT_FACTOR_ILU, Many br

### Output Parameter

flg -PETSC_TRUE if the factorization is available Many br

### Notes

Some PETSc matrix formats have alternative solvers available that are contained in alternative packages Many brsuch as pastix, superlu, mumps etc. Many br

PETSc must have been ./configure to use the external solver, using the option --download-package Many br

Many br

### See Also

MatCopy(), MatDuplicate(), MatGetFactor()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages